<template>
  <v-container>
    <div id="chart" align="center">
      <apexchart
        ref="chartArea"
        type="line"
        :width="width"
        :height="height"
        :options="chartOptions"
        :series="seriesData">
      </apexchart>
    </div>
  </v-container>
</template>

<script>

import { mapState } from 'vuex';

export default {
  name: 'ChartArea',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: '100%', type: String },
    'height': { default: '350', type: String },
    'series': { default: () => [], type: Array },
    'categories': { default: () => [], type: Array },
  },
  data() {
    return {
      seriesData: [{
        name: '',
        data: [],
      }],
      chartOptions: {
        legend: {
          position: 'bottom',
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          curve: 'straight',
        },
        colors: ['#B9F6CA', '#C1E1FF', '#FAE198', '#B6BFCE', '#C1BBF5'],
        yaxis: {
          title: {
            text: this.titleY,
            style: {
              color: '#909399',
            },
          },
        },
        xaxis: {
          title: {
            text: this.titleX,
            style: {
              color: '#909399',
            },
          },
          categories: ['Abr-21', 'May-21', 'Jun-21', 'Jul-21', 'Ago-21', 'Set-21', 'O-21'],
        },
        tooltip: {
          x: {
            format: 'dd/MM/yy HH:mm',
          },
        },

      },
    };
  },
  methods: {
    setValue(value) {
    },
    updateChartArea(firstReport) {
      console.log(firstReport);
      this.$refs.chartArea.updateOptions({
        series: firstReport.series,
        xaxis: {
          categories: firstReport.categories,
        },
      });
    },
  },

};

</script>
